DefaultGrailsUrlMappingsClass (Grails 6.0.0)

Package: org.grails.core

## [Java] Class DefaultGrailsUrlMappingsClass

- org.grails.core.DefaultGrailsUrlMappingsClass

- All Implemented Interfaces and Traits:
    GrailsUrlMappingsClass

      public class DefaultGrailsUrlMappingsClass
      extends AbstractGrailsClass
      implements GrailsUrlMappingsClass

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String` | `EXCLUDE_PATTERNS` |
    `private static java.lang.String` | `MAPPINGS_CLOSURE` |
    `static java.lang.String` | `URL_MAPPINGS` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsClass` | `classPropertyFetcher, clazz, fullName, grailsApplication, isAbstract, logicalPropertyName, name, naturalName, packageName, propertyName, shortName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultGrailsUrlMappingsClass (java.lang.Class<?> clazz)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.List` | `getExcludePatterns()`
    `` | `public groovy.lang.Closure<?>` | `getMappingsClosure()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGrailsClass` | `getApplication, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getMetaProperties, getName, getNaturalName, getPackageName, getPluginName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, resolvePropertyFetcher, setGrailsApplication, toString`

- - ### Field Detail

    - #### private static final java.lang.String EXCLUDE_PATTERNS

    - #### private static final java.lang.String MAPPINGS_CLOSURE

    - #### public static final java.lang.String URL_MAPPINGS

  - ### Constructor Detail

    - #### public DefaultGrailsUrlMappingsClass(java.lang.Class<?> clazz)

  - ### Method Detail

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.List getExcludePatterns()

    - #### public groovy.lang.Closure<?> getMappingsClosure()